Spot
Coin-to-Coin Order Record
POST
/
platformapi
/
chainup
/
open
/
record
/
orderList
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/orderList
{
"code": "0",
"msg": "xxx",
"data": {
"count": 1233,
"list": [
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
}
]
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
symbol
string
requiredSymbol
Example: btcusdt
uid
string
requiredUser's id
Example: 23000
startDate
string
requiredStart time, in seconds with the format "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
endDate
string
requiredEnd time, in seconds with the format "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
pageSize
string
Default 1000 entries.
Example: 20
pageNumber
string
The page number, defaulting to 1 for the first page.
Example: 1
sort
string
1 indicates descending order.
Example: 1
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/orderList
{
"code": "0",
"msg": "xxx",
"data": {
"count": 1233,
"list": [
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
},
{
"volume": 1123,
"symbol": "consectetur veni",
"dealVolume": 123412,
"orderId": 123123,
"totalPrice": 0.201,
"price": 12341,
"ctime": "ctime",
"type": "limit",
"orderSide": "buy",
"dealMoney": 1,
"status": "0"
}
]
}
}